Update a fleet model
curl --request POST \
--url https://api.example.com/v1/fleets/{fleet_id}/model \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>"
}
'import requests
url = "https://api.example.com/v1/fleets/{fleet_id}/model"
payload = { "subject": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({subject: '<string>'})
};
fetch('https://api.example.com/v1/fleets/{fleet_id}/model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"subject": "<string>",
"readiness_mode": "always_ready",
"peak_active_robots": 2,
"status": "preparing",
"robots": {
"registered": 1,
"ready": 1,
"active": 1,
"waiting": 1,
"blocked": 1
},
"blocker": "<string>",
"readiness_estimate": {
"lower_seconds": 1,
"upper_seconds": 1,
"updated_at": "2023-11-07T05:31:56Z"
},
"active_model": {
"subject": "<string>",
"generation_id": "<string>",
"status": "<string>"
},
"update": {
"subject": "<string>",
"generation_id": "<string>",
"status": "<string>",
"blocker": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}fleets
Update a fleet model
POST
/
v1
/
fleets
/
{fleet_id}
/
model
Update a fleet model
Authorizations
Organization API key (sk_servo_...) or authenticated CLI session token.
Path Parameters
Body
application/json
Minimum string length:
1Response
Successful Response
Available options:
always_ready, scheduled, on_demand Required range:
x >= 1Available options:
preparing, ready, degraded, blocked Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes